Subject: Re: bug#23720: 25.0.94; Issues with GUD (gdb-mi) after upgrade from Emacs 23 to 24/25

From: Eli Zaretskii <[email-masked]>
Date: Thu, 09 Jun 2016 15:17:58 +0300

> Cc: [email-masked]
> From: Guilhem Bichot <[email-masked]>
> Date: Thu, 9 Jun 2016 10:14:55 +0200
> 
> >     M-x gud-gdb RET
> >
> > and will have your familiar debugging environment back.
> 
> Not quite. Even with gud-gdb, some scenarios described below (ISSUE 2) 
> still happen:
> - with emacs25 C-x SPC doesn't set a breakpoint; with emacs23 it does.
> - Same for "clicking on the fringe doesn't set breakpoint".
> - the Gud menu has lost "display other windows"

Like I said, I believe this is because your program is running.  When
I start the debugger, before the "run" command, breakpoints do work as
expected.

> Before digging more in the gdb-mi discussion below, let's address one 
> striking point, to be sure we're talking about the same software:
> 
> >> ISSUE 1: STOPPING
> >> =================
> 
> >> Suggestion: make the STOP button do as Signals->Break does
> >> (=send SIGINT), and like it did in emacs23.
> >
> > There's no STOP button on the gdb-mi toolbar, I guess you mean add it?
> 
> There is such button; after running "M-x gdb" (which says it will run 
> "gdb -i=mi", so I imagine it's gdb-mi), there is a green GO button; when 
> running the program, this button becomes a red STOP button. Attached is 
> a screenshot, with the mouse pointer on the button.

This button invokes -exec-interrupt when you use gdb-mi, which is the
equivalent of the 'interrupt' command of GDB.